Summary:		Python's own image processing library 
Name:			python-imaging
Version:		1.1.2
Release:		3mdk
License:		Distributable
Group:			Development/Python
URL:			http://www.pythonware.com/products/pil/

Source0:		http://www.pythonware.com/downloads/Imaging-%{version}.tar.bz2 
Source1:		Imaging-doc.tar.bz2
Patch0:			python-imaging-tk.patch.bz2

Icon:			linux-python-paint-icon.gif
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		python >= 1.5, libjpeg >= 6b,  zlib >= 1.1.2, libpng >= 1.0.1 tix, tkinter
BuildRequires:	python-devel >= 1.5, libjpeg-devel >= 6b, libpng-devel >= 1.0.1 tix XFree86-devel

%description
Python Imaging Library version %{version}
   
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

#%package _tkinter
#Summary: Lowlevel Python -> Tk interface with PIL support
#Group: Development/Languages/Python
#Icon: linux-python-tkinterpaint-icon.gif 
#Provides: python-_tkinter
#Requires: python, tcl >= 8.0, tk >= 8.0, python-imaging = 1.0b1 

#%description _tkinter
#This is the lowlevel C module that interfaces Tk and which is the
#basis for Tkinter, Python's OO interface to Tk, which is included
#in the package python-tkinter.

#This version of _tkinter includes support for PIL (Python Imaging
#Library) and is a replacement for the python-_tkinter package.
            
%prep
%setup -n Imaging-%{version} -a 1
%patch0 -p0
#mkdir _tkinter
#cp $RPM_SOURCE_DIR/_tkinter.c Tk
#cp $RPM_SOURCE_DIR/Makefile.pre.in Tk
#cp $RPM_SOURCE_DIR/Setup.in.PIL Tk/Setup.in
#cp $RPM_SOURCE_DIR/tkappinit.c Tk

%build
cd libImaging
%configure
%make OPT="$RPM_OPT_FLAGS"
cd ..

make -f Makefile.pre.in boot
%make OPT="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python2.1/site-packages/PIL/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/python2.1/lib-dynload/

echo "RPM_SOURCE_DIR" $RPM_SOURCE_DIR
echo "RPM_BUILD_DIR" $RPM_BUILD_DIR

install -m 644 PIL.pth $RPM_BUILD_ROOT%{_libdir}/python2.1/site-packages/
install -m 555 _imaging.so $RPM_BUILD_ROOT%{_libdir}/python2.1/site-packages/PIL/
for i in PIL/*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_libdir}/python2.1/site-packages/PIL/
done
install -m 755 _imagingtk.so $RPM_BUILD_ROOT%{_libdir}/python2.1/lib-dynload/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc handbook notes Scripts Images Sane CHANGES FORMATS
%{_libdir}/python2.1/site-packages/PIL.pth
%{_libdir}/python2.1/site-packages/PIL/
%{_libdir}/python2.1/lib-dynload/_imagingtk.so

#%files _tkinter
#%defattr (-,root,root)
#%{_libdir}/python2.1/lib-dynload/_tkinter.so

%changelog
* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.2-3mdk
- BuildRequires:	XFree86-devel
- Copyright --> License
- Remove BuildRequires:	zlib-devel

* Tue Jul 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-2mdk
- don't provide python2.0 directory

* Fri May 18 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Wed Mar 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-2mdk
- add _imagingtk.so (#2774).
- added Requires on tkinter.

* Wed Dec  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1-2mdk
- Fix FredL's typo

* Wed Sep 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b1-3mdk
- group fix.

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen
- deactivate provinding of tkinter lib since Chmouel one's works perfectly

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive

* Mon Jan 11 1999 Oliver Andrich <oli@andrich.net>
- upgraded to Imaging 1.0b1

* Sun Dec 27 1998 Oliver Andrich <oli@andrich.net>
- changed Setup file so that the tkinter module is compiled with Tix and BLT
  support

* Mon Jul 20 1998 Oliver Andrich <oli@andrich.net>
- had to recompile and update the package to support the uptodate graphics
  libs

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>
- updated package to version 0.3a4
